%define name	perl-Crypt-Rijndael
%define version	0.05
%define release	6mdk

Summary:	Crypt-Rijndael module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Crypt-Rijndael-%{version}.tar.bz2
Patch0:		perl-Crypt-Rijndael-types.patch.bz2
URL:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Crypt-Rijndael module for perl

%prep

%setup -q -n Crypt-Rijndael-%{version} 
%patch0 -p1

# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc NEWS README
%{perl_vendorlib}/*/Crypt/*.pm
%{perl_vendorlib}/*/auto/Crypt/Rijndael/*.so
%{_mandir}/man3*/*

%changelog
* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.05-6mdk
- added P0 (PLD) to make it build on x86_64

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.05-5mdk
- Rebuild for new perl

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.05-4mdk
- rebuilt, fix deps
- use macros

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-3mdk
- rebuild for new auto{prov,req}

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.05-2mdk
- do make test

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.05-1mdk
- initial cooker contrib.
